%define pversion 2.2.0.17

Summary: Utilities for the ncpfs filesystem, a NetWare client for Linux.
Name: ncpfs
Version: %{pversion}.a
Release: 1mdk
Copyright:  GPL
Source: ftp://ftp.platan.vc.cvut.cz/pub/linux/ncpfs/ncpfs-%{version}/ncpfs-%{pversion}.tar.bz2
Source1: mount.ncp
Patch: ncpfs-largekeys.patch.bz2
Group: Networking/Other
Requires: ipxutils
Prefix: %{_prefix}
Buildroot: %{_tmppath}/ncpfs-root
Prereq: /bin/sed, /bin/grep

%description
Ncpfs is a filesystem which understands the Novell NetWare(TM)
NCP protocol.  Functionally, NCP is used for NetWare the way NFS
is used in the TCP/IP world.  For a Linux system to mount a NetWare
filesystem, it needs a special mount program.  The ncpfs package
contains such a mount program plus other tools for configuring and
using the ncpfs filesystem.

Install the ncpfs package if you need to use the ncpfs filesystem
to use Novell NetWare files or services.

%package -n ipxutils
Summary: Tools for configuring and debugging IPX interfaces and networks.
Group: System/Configuration/Networking

%description -n ipxutils
The ipxutils package includes utilities (ipx_configure, ipx_internal_net,
ipx_interface, ipx_route) necessary for configuring and debugging IPX
interfaces and networks under Linux. IPX is the low-level protocol used
by Novell's NetWare file server system to transfer data.

Install ipxutils if you need to configure IPX networking on your network.

%prep
%setup -q -n ncpfs-%{pversion}
%patch -p1

%build
%configure
make
make -C ipxdump
mv ipxdump/README ipxdump/README.ipxdump

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/lib
mkdir -p $RPM_BUILD_ROOT/usr/lib
make prefix=$RPM_BUILD_ROOT/usr install

# Move ipx_configure/ipx_internal_net to permit /usr from NFS
for i in ipx_configure ipx_internal_net ipx_interface
do
	mv $RPM_BUILD_ROOT/usr/bin/$i $RPM_BUILD_ROOT/sbin/$i
done

install -m755 ipxdump/ipxdump ipxdump/ipxparse $RPM_BUILD_ROOT/usr/bin/

# these could be SUID root, but it's a security hole
chmod 755 $RPM_BUILD_ROOT/usr/bin/ncpmount $RPM_BUILD_ROOT/usr/bin/ncpumount 
mkdir -p $RPM_BUILD_ROOT/sbin
install -m755 $RPM_SOURCE_DIR/mount.ncp $RPM_BUILD_ROOT/sbin
ln -s mount.ncp $RPM_BUILD_ROOT/sbin/mount.ncpfs

#mdk compress manpages with bzip2 -9 for the privilage of the mdk release tag
for i in `find $RPM_BUILD_ROOT/usr/man/ -type f | grep -v .gz ` ; do
	 bzip2 -c9 $i > $i.bz2  && rm -rf $i  
done

#mdk don't look at me it wasn't my make file
ln -sf ncpmount.8.bz2 $RPM_BUILD_ROOT/usr/man/man8/mount.ncp.8.bz2
rm -f $RPM_BUILD_ROOT/usr/man/man8/mount.ncp.8.gz

# file list
find $RPM_BUILD_ROOT -type f -or -type l | \
	grep -v ipx | grep -v mount.ncp.8| \
	sed -e "s|$RPM_BUILD_ROOT||g" \
	-e "s|.gz|.bz2|g" \
	-e "s|/usr/bin/nwsfind|%attr(0755,root,root) /usr/bin/nwsfind|g" > rpm.files

%post -n ipxutils
/sbin/ldconfig
if [ -f /etc/conf.modules ];then
		if ! grep -q -E "^alias.*net-pf-4.*ipx" /etc/conf.modules;then
			echo "alias net-pf-4 ipx" >> /etc/conf.modules
		fi
else
		echo "alias net-pf-4 ipx" >> /etc/conf.modules
fi

%postun  -n ipxutils
/sbin/ldconfig
if [ "$1" = "0" ];then
	if [ -f /etc/conf.modules ];then
		if grep -q -E "^alias.*net-pf-4.*ipx" /etc/conf.modules;then
			sed 's/^alias net-pf-4 ipx//' /etc/conf.modules > /tmp/.conf.modules \
		&& mv -f /tmp/.conf.modules /etc/conf.modules
		fi
	fi	
fi

%clean
rm -rf $RPM_BUILD_ROOT
rm -f rpm.files

%files -f rpm.files
%defattr(-,root,root)
%doc BUGS COPYING Changes FAQ README 
%doc ipxdump/README

%files -n ipxutils
%defattr(-,root,root)
%doc ipx-1.0/COPYING ipx-1.0/README
/sbin/ipx_*
/usr/bin/ipx*
/usr/man/man8/ipx*

%changelog
* Wed May 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0.17.a-1mdk
- 2.2.0.17
- Add large key patch
- Add net-pf-4 to /etc/conf.modules in %post.

* Fri Apr 14 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.2.0.16.a-3mdk
- Fix groups.
- s/.gz/.bz2/ in rpm.files
- do not issue 2 sed call , just use the sed -e option.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.2.0.16.a
- left ipx_interface out of %files.
- fix mount.ncp USER arg.
- move ipxdump docs to the package that it's in...
- fix bug in slist/nwsfind

* Mon May 17 1999 Axalon Bloodstone <axalon@relic.net>
- More Mandake adaptions, bzip2 manpages
- broken manpage symlinks

* Sat May 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch from Axalon Bloodstone <axalon@Jumpstart.netpirate.org>

* Wed May 05 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions
- fix compilation

* Tue Apr  6 1999 Bill Nottingham <notting@redhat.com>
- turn off setuid on nwsfind
- move ipxutils to using ncpfs versioning for sanity reasons

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- doesn't work on alpha, apparently
- add a mount.ncp mount helper

* Mon Mar 22 1999 Bill Nottingham <notting@redhat.com>
- remove dangling symlink

* Tue Feb 23 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.0.12

* Fri Jan 22 1999 Bill Nottingham <notting@redhat.com>
- build for arm. Yuk.

* Wed Dec  9 1998 Bill Nottingham <notting@redhat.com>
- update to 2.2.0.11

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.2.0.

* Fri Jul 10 1998 Jeff Johnson <jbj@redhat.com>
- exclusively i386 for now.

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- move ipx_configure/ipx_internal_net to /sbin to permit /usr from NFS.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Apr 13 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild
- there is a new version out, 2.0.12, but it contains RSA crypto code, so
  it's of no use for us. :-(
- buildroot and spec file cleanup

* Thu Dec 18 1997 Erik Troan <ewt@redhat.com>
- uid_t, gid_t, mode_t fixes for glibc 2.0.5 and linux 2.0.x

* Wed Oct 23 1997 Michael Fulbright <msf@redhat.com>
- added a few file which were missing from the file list

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to 2.0.11
- massive hacking for glibc

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- nwrights program now included in package.
